package org.jeecg.modules.bytedance.report.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * Administrator
 * 2021/5/19
 **/
public class TimeStartAndEndUtil {


    /**
     * 根据本阶段日期 获取上阶段 开始 和 截至 日期
     * @param startTime 本阶段开始时间
     * @param endTime 本阶段截至时间
     * @return
     * @throws ParseException
     */
    public static Map<String,String> getStartEndTime(String startTime,String endTime) throws ParseException {
        Map<String,String> timeMap = new HashMap();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date start = sdf.parse(startTime);
        Date end = sdf.parse(endTime);
        //相差天数
        Long daysBetween = (end.getTime()-start.getTime())/(60*60*24*1000);
        String lastTimeStart = getSubtractTime(start, daysBetween.intValue());
        String lastTimeEnd = getSubtractTime(end, daysBetween.intValue());
        timeMap.put("lastTimeStart",lastTimeStart);
        timeMap.put("lastTimeEnd",lastTimeEnd);
        timeMap.put("daysBetween",daysBetween.toString());
        return timeMap;
    }

    /**
     * 返回 日期 - 天数 的string 日期
     * @param time 时间
     * @param daysBetween 天数
     * @return
     */
    public static String getSubtractTime(Date time,Integer daysBetween){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Calendar rightNow  = Calendar.getInstance();
        rightNow .setTime(time);
        if (daysBetween.intValue() > 0){
            rightNow .add(Calendar.DAY_OF_YEAR,-daysBetween.intValue()-1);//日期加 相差的 天数 再 -1
        }else {
            rightNow .add(Calendar.DAY_OF_YEAR,-1);//日期 -1
        }
        Date rightNowTime = rightNow .getTime();
        String nowTime = sdf.format(rightNowTime);
        return nowTime;
    }



    public static void main(String[] args) throws Exception {
        Map<String,String> map = TimeStartAndEndUtil.getStartEndTime("2020-05-15","2020-05-18");
        System.out.println(map);
    }


}